Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class DisplayFieldInfo

    java.lang.Object
      jet.api.DisplayFieldInfo

    public class DisplayFieldInfo

extends java.lang.Object

Field Summary
`static int` | `DBFIELD`
`static int` | `PARAMETERFIELD`
`static int` | `SYSTEMFIELD`
`static int` | `TEXTFIELD`

Constructor Summary
`DisplayFieldInfo(java.lang.String blName, java.lang.String fieldName, java.lang.String displayName, java.lang.String titleAttachingPlace)`
`DisplayFieldInfo(java.lang.String blName, java.lang.String fieldName, java.lang.String displayName, java.lang.String titleAttachingPlace, int width, int height, int x, int y)`

Method Summary
`java.lang.String` | `getBLName()`
`java.util.Hashtable` | `getControlByOtherSet()`
`java.lang.String` | `getDisplayName()`
`java.lang.String` | `getFieldName()`
`int` | `getFieldType()`
`int` | `getHeight()`
`java.util.Hashtable` | `getProperties()`
`java.lang.String` | `getTitleAttachingPlace()`
`int` | `getWidth()`
`int` | `getX()`
`int` | `getY()`
`void` | `setBLName(java.lang.String blName)`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setFieldName(java.lang.String fieldName)`
`void` | `setFieldType(int fieldType)`
`void` | `setHeight(int height)`
`void` | `setPropertyControlByOther(java.lang.String propertyName, boolean isControlByOther)`
`void` | `setPropertyValue(java.lang.String propertyName, boolean bPropertyValue)`
`void` | `setPropertyValue(java.lang.String propertyName, java.awt.Color cPropertyValue)`
`void` | `setPropertyValue(java.lang.String propertyName, double dPropertyValue)`
`void` | `setPropertyValue(java.lang.String propertyName, float fPropertyValue)`
`void` | `setPropertyValue(java.lang.String propertyName, int iPropertyValue)`
`void` | `setPropertyValue(java.lang.String propertyName, long lPropertyValue)`
`void` | `setPropertyValue(java.lang.String propertyName, java.lang.String sPropertyValue)`
`void` | `setTitleAttachingPlace(java.lang.String titleAttachingPlace)`
`void` | `setWidth(int width)`
`void` | `setX(int x)`
`void` | `setY(int y)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DBFIELD

    public static final int DBFIELD

### TEXTFIELD

    public static final int TEXTFIELD

### SYSTEMFIELD

    public static final int SYSTEMFIELD

### PARAMETERFIELD

    public static final int PARAMETERFIELD

Constructor Detail

### DisplayFieldInfo

    public DisplayFieldInfo(java.lang.String blName,
                            java.lang.String fieldName,
                            java.lang.String displayName,
                            java.lang.String titleAttachingPlace)

### DisplayFieldInfo

    public DisplayFieldInfo(java.lang.String blName,
                            java.lang.String fieldName,
                            java.lang.String displayName,
                            java.lang.String titleAttachingPlace,
                            int width,
                            int height,
                            int x,
                            int y)

Method Detail

### getControlByOtherSet

    public java.util.Hashtable getControlByOtherSet()

  Returns:
    the controlByOtherSet

### getProperties

    public java.util.Hashtable getProperties()

  Returns:
    the properties

### getDisplayName

    public java.lang.String getDisplayName()

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

### getBLName

    public java.lang.String getBLName()

### setBLName

    public void setBLName(java.lang.String blName)

### getFieldName

    public java.lang.String getFieldName()

### setFieldName

    public void setFieldName(java.lang.String fieldName)

### getHeight

    public int getHeight()

### setHeight

    public void setHeight(int height)

### getTitleAttachingPlace

    public java.lang.String getTitleAttachingPlace()

### setTitleAttachingPlace

    public void setTitleAttachingPlace(java.lang.String titleAttachingPlace)

### getWidth

    public int getWidth()

### setWidth

    public void setWidth(int width)

### getX

    public int getX()

### setX

    public void setX(int x)

### getY

    public int getY()

### setY

    public void setY(int y)

### setFieldType

    public void setFieldType(int fieldType)

### getFieldType

    public int getFieldType()

### setPropertyControlByOther

    public void setPropertyControlByOther(java.lang.String propertyName,
                                          boolean isControlByOther)

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyName,
                                 boolean bPropertyValue)

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyName,
                                 int iPropertyValue)

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyName,
                                 float fPropertyValue)

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyName,
                                 long lPropertyValue)

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyName,
                                 double dPropertyValue)

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyName,
                                 java.awt.Color cPropertyValue)

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyName,
                                 java.lang.String sPropertyValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD